/* This file has been generated by makefont.py */

#ifndef __FONT_12__
#define __FONT_12__

static const struct {
    unsigned int width;
    unsigned int height;
    unsigned char data[128*240+1];
} font_12 = {
    128, 240,
    "\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\377\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\377\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377"
    "\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377"
    "\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377"
    "\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377"
    "\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377"
    "\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\200\251\0\0\0\0\251\177\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\377\0\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\122\351\346\116\0\0\0\0\0\0\116"
    "\340\377\377\0\0\0\0\0\377\0\0\0\0\0\0\0\23\353\32\0\0\0\0\32\353"
    "\22\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\100\300\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\0\0\0\0\0\0\377\0\377\0\0\0\0\0\52\276\0\327\21\0\0\116\344"
    "\377\332\131\0\0\351\72\73\347\0\0\0\0\0\0\351\113\2\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\161\232\0\0\0\0\0\0\233\160\0\0\0\0\237\34\377\34\237"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\377\0"
    "\377\0\0\0\0\0\166\162\51\302\0\0\0\345\106\377\40\241\0\0\352\70"
    "\72\351\0\0\31\0\0\0\361\30\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\274\105"
    "\0\0\0\0\0\0\106\273\0\0\0\0\34\250\377\250\33\0\0\0\0\0\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\100\300"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\130\377\377"
    "\377\377\377\377\0\0\366\13\377\0\0\0\0\122\352\351\123\133\271\137"
    "\0\0\0\241\232\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\352\23\0\0\0\0\0\0\23"
    "\352\0\0\0\0\34\250\377\247\33\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\360\0\0\0\0\0\0\0\0\0\0\0\0\0\2\344\4\242\106\0\0\0\222"
    "\261\377\56\0\0\0\0\10\152\273\147\7\0\0\0\70\345\344\114\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\373\2\0\0\0\0\0\0\3\372\0\0\0\0\237\34\377\34"
    "\240\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\100\300\0\0\0\0\0\0\0\0\0\0\0\0\0\0\325\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\61\273\0\332\15\0\0\0\0\76\377\272\201\0\0\116\272"
    "\131\125\351\346\114\0\0\316\111\75\346\24\370\0\0\0\0\0\0\0\0\0\0"
    "\0\0\352\23\0\0\0\0\0\0\23\352\0\0\0\0\0\0\377\0\0\0\0\377\377\377"
    "\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\377\377\377\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\377\377\377\377\377\377\130\0\0\0\0\377\15\364\0\0\16\0\0"
    "\351\72\74\346\0\0\371\15\0\211\256\276\0\0\0\0\0\0\0\0\0\0\0\0\274"
    "\106\0\0\0\0\0\0\107\273\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\100\300\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\256\75\136\213"
    "\0\0\0\0\232\32\377\102\342\0\0\0\0\0\353\70\72\350\0\0\275\244\36"
    "\7\332\101\0\0\0\0\0\0\0\0\0\0\0\0\160\233\0\0\0\0\0\0\234\161\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\377\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\0\0\0\0\0\6\337\3\252\101\0\0\0\0\142\341\377\341\107"
    "\0\0\0\0\0\127\353\351\117\0\0\32\263\367\313\221\257\0\0\0\0\0\0"
    "\0\0\0\0\0\0\22\353\33\0\0\0\0\34\354\23\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\0\0\0\0\0\0\73\304\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0"
    "\0\0\100\300\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\177\252\0\0\0\0\253\177\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\276\101\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\2\216"
    "\357\357\214\1\0\0\377\377\377\0\0\0\0\0\116\305\371\355\242\25\0"
    "\0\105\273\370\354\241\25\0\0\0\0\0\266\377\0\0\0\377\377\377\377"
    "\377\0\0\0\0\102\304\366\345\146\0\0\377\377\377\377\377\361\0\0\46"
    "\272\365\365\271\44\0\0\31\264\366\355\221\3\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\131"
    "\326\372\325\103\0\0\155\304\31\31\306\151\0\0\0\0\377\0\0\0\0\0\273"
    "\112\14\22\212\275\0\0\267\105\12\23\203\276\0\0\0\0\125\325\377\0"
    "\0\0\377\0\0\0\0\0\0\0\72\345\115\11\33\231\0\0\0\0\0\0\217\213\0"
    "\0\317\176\17\17\176\316\0\0\261\224\17\22\240\164\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\253\55\3\101\346\0\0\310\77\0\0\102\306\0\0\0\0\377\0\0\0\0\0"
    "\0\0\0\0\11\372\0\0\0\0\0\0\10\370\0\0\0\15\343\74\377\0\0\0\377\0"
    "\0\0\0\0\0\0\263\127\0\0\0\0\0\0\0\0\0\20\355\33\0\0\367\7\0\0\7\366"
    "\0\0\365\17\0\0\22\313\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\10"
    "\137\312\0\0\0\0\0\0\0\0\0\0\312\137\10\0\0\0\0\0\0\0\0\0\126\351"
    "\0\0\361\15\0\0\17\360\0\0\0\0\377\0\0\0\0\0\0\0\0\0\111\325\0\0\0"
    "\0\0\17\177\275\0\0\0\221\234\0\377\0\0\0\377\353\373\334\174\4\0"
    "\0\354\154\346\366\262\27\0\0\0\0\0\172\240\0\0\0\255\172\16\16\172"
    "\252\0\0\364\16\0\0\22\362\0\0\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\42\212\350\260\113\0\0\0\0\0\0\0\0\0\0\113\260\350\212\41\0\0\0"
    "\0\0\21\221\365\133\0\0\375\2\0\303\2\374\0\0\0\0\377\0\0\0\0\0\0"
    "\0\0\51\350\110\0\0\0\0\377\377\347\40\0\0\62\347\22\0\377\0\0\0\0"
    "\0\3\54\273\221\0\0\375\227\22\16\222\257\0\0\0\0\7\346\53\0\0\0\30"
    "\333\377\377\333\30\0\0\260\217\16\22\231\374\0\0\0\0\377\0\0\0\0"
    "\0\0\0\377\0\0\0\0\0\265\333\172\31\0\0\0\0\377\377\377\377\377\377"
    "\0\0\0\0\31\172\333\265\0\0\0\0\305\213\30\0\0\0\361\15\0\0\17\360"
    "\0\0\0\0\377\0\0\0\0\0\0\0\66\347\142\0\0\0\0\0\0\20\202\266\0\0\312"
    "\137\0\0\377\0\0\0\0\0\0\0\27\360\0\0\362\21\0\0\16\364\0\0\0\0\145"
    "\264\0\0\0\0\266\176\17\20\200\270\0\0\31\264\366\346\156\353\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\265\333\171\30\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\31\171\333\265\0\0\0\0\377\0\0\0\0\0\310\76\0\0\101\306"
    "\0\0\0\0\377\0\0\0\0\0\0\117\352\113\0\0\0\0\0\0\0\0\10\367\0\0\377"
    "\377\377\377\377\377\0\0\0\0\0\0\23\361\0\0\314\21\0\0\17\364\0\0"
    "\0\1\330\76\0\0\0\0\367\7\0\0\10\367\0\0\0\0\0\0\127\262\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\42\213\350\257\112\0\0\377\377\377\377"
    "\377\377\0\0\112\257\350\213\42\0\0\0\0\0\0\0\0\0\0\0\155\302\30\30"
    "\304\151\0\0\0\0\377\0\0\0\0\0\157\346\63\0\0\0\0\0\257\67\6\24\211"
    "\310\0\0\0\0\0\0\377\0\0\0\253\61\5\36\253\233\0\0\166\235\22\16\222"
    "\256\0\0\0\120\310\0\0\0\0\0\322\200\20\17\177\320\0\0\227\31\11\115"
    "\345\72\0\0\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\10\140\313\0"
    "\0\0\0\0\0\0\0\0\0\313\140\10\0\0\0\0\0\0\0\377\0\0\0\0\0\2\217\360"
    "\360\215\1\0\0\377\377\377\377\377\0\0\0\377\377\377\377\377\377\20"
    "\0\120\311\371\356\253\35\0\0\0\0\0\0\377\0\0\0\140\330\373\346\217"
    "\11\0\0\4\223\356\367\263\27\0\0\0\305\122\0\0\0\0\0\51\274\366\366"
    "\274\50\0\0\147\347\366\304\103\0\0\0\0\0\377\0\0\0\0\0\0\73\304\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\276\101\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\306\305\0\0\0\0"
    "\377\377\377\363\266\44\0\0\0\77\304\367\345\146\0\0\377\377\360\275"
    "\102\0\0\0\377\377\377\377\377\377\0\0\377\377\377\377\377\377\0\0"
    "\0\103\310\367\342\144\0\0\377\0\0\0\0\377\0\0\377\377\377\377\377"
    "\0\0\0\0\0\377\377\377\0\0\0\377\0\0\0\147\237\1\0\377\0\0\0\0\0\0"
    "\0\377\153\0\0\154\377\0\0\377\254\0\0\0\377\0\0\3\223\360\360\221"
    "\2\0\0\0\72\312\370\303\25\0\0\0\15\363\363\15\0\0\0\377\0\0\14\155"
    "\314\0\0\65\340\104\7\45\241\0\0\377\0\20\116\341\77\0\0\377\0\0\0"
    "\0\0\0\0\377\0\0\0\0\0\0\0\67\337\100\6\44\240\0\0\377\0\0\0\0\377"
    "\0\0\0\0\377\0\0\0\0\0\0\0\0\0\377\0\0\0\377\0\0\136\256\3\0\0\377"
    "\0\0\0\0\0\0\0\377\310\0\0\310\377\0\0\377\337\46\0\0\377\0\0\163"
    "\272\26\26\272\157\0\0\44\350\115\11\233\236\0\0\0\114\275\275\113"
    "\0\0\0\377\0\0\0\7\370\0\0\257\130\0\0\0\0\0\0\377\0\0\0\121\266\0"
    "\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\261\126\0\0\0\0\0\0\377\0\0"
    "\0\0\377\0\0\0\0\377\0\0\0\0\0\0\0\0\0\377\0\0\0\377\0\125\273\7\0"
    "\0\0\377\0\0\0\0\0\0\0\377\277\51\52\270\377\0\0\377\160\234\0\0\377"
    "\0\0\313\67\0\0\70\311\0\0\232\170\0\0\42\351\0\0\0\217\172\173\216"
    "\0\0\0\377\0\0\15\171\306\0\0\353\23\0\0\0\0\0\0\377\0\0\0\23\354"
    "\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\353\23\0\0\0\0\0\0\377\0"
    "\0\0\0\377\0\0\0\0\377\0\0\0\0\0\0\0\0\0\377\0\0\0\377\114\333\15"
    "\0\0\0\0\377\0\0\0\0\0\0\0\377\146\210\211\130\377\0\0\377\13\347"
    "\32\0\377\0\0\362\14\0\0\15\361\0\0\335\45\143\362\262\376\0\0\0\322"
    "\67\70\321\0\0\0\377\377\377\377\354\55\0\0\374\3\0\0\0\0\0\0\377"
    "\0\0\0\3\373\0\0\377\377\377\377\377\377\0\0\377\377\377\377\377\377"
    "\0\0\374\2\0\0\377\377\0\0\377\377\377\377\377\377\0\0\0\0\377\0\0"
    "\0\0\0\0\0\0\0\377\0\0\0\377\312\345\74\0\0\0\0\377\0\0\0\0\0\0\0"
    "\377\22\337\325\10\377\0\0\377\0\204\214\0\377\0\0\375\1\0\0\2\375"
    "\0\0\371\5\355\66\67\377\0\0\26\360\3\3\360\25\0\0\377\0\0\15\171"
    "\274\0\0\353\23\0\0\0\0\0\0\377\0\0\0\22\354\0\0\377\0\0\0\0\0\0\0"
    "\377\0\0\0\0\0\0\0\355\22\0\0\0\377\0\0\377\0\0\0\0\377\0\0\0\0\377"
    "\0\0\0\0\0\0\0\0\0\377\0\0\0\377\31\121\331\10\0\0\0\377\0\0\0\0\0"
    "\0\0\377\0\264\230\0\377\0\0\377\0\26\352\21\377\0\0\363\14\0\0\15"
    "\361\0\0\370\7\355\64\66\377\0\0\130\377\377\377\377\127\0\0\377\0"
    "\0\0\6\367\0\0\261\130\0\0\0\0\0\0\377\0\0\0\120\266\0\0\377\0\0\0"
    "\0\0\0\0\377\0\0\0\0\0\0\0\267\122\0\0\0\377\0\0\377\0\0\0\0\377\0"
    "\0\0\0\377\0\0\0\0\0\0\0\0\12\366\0\0\0\377\0\0\251\213\0\0\0\377"
    "\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\0\0\230\174\377\0\0\314\67"
    "\0\0\67\311\0\0\332\55\143\362\257\377\0\0\233\156\0\0\156\232\0\0"
    "\377\0\0\12\153\326\0\0\67\341\104\6\41\236\0\0\377\0\17\114\337\77"
    "\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\104\336\72\4\52\377\0\0\377"
    "\0\0\0\0\377\0\0\0\0\377\0\0\0\0\0\243\47\5\152\306\0\0\0\377\0\0"
    "\25\350\66\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\0\0\44\347"
    "\377\0\0\165\270\25\25\270\161\0\0\222\214\0\0\0\0\0\0\336\52\0\0"
    "\52\336\0\0\377\377\377\365\300\60\0\0\0\102\306\367\345\147\0\0\377"
    "\377\361\275\103\0\0\0\377\377\377\377\377\377\0\0\377\0\0\0\0\0\0"
    "\0\0\125\325\372\336\156\0\0\377\0\0\0\0\377\0\0\377\377\377\377\377"
    "\0\0\0\134\333\372\317\63\0\0\0\377\0\0\0\130\324\6\0\377\377\377"
    "\377\377\377\0\0\377\0\0\0\0\377\0\0\377\0\0\0\253\377\0\0\4\225\361"
    "\361\224\3\0\0\33\351\153\13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\54\274\366\327\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377"
    "\361\264\42\0\0\3\223\360\360\221\2\0\0\377\377\377\356\256\37\0\0"
    "\22\234\352\371\305\115\0\377\377\377\377\377\377\377\0\0\377\0\0"
    "\0\0\377\0\0\337\51\0\0\51\336\0\362\16\0\0\0\16\365\0\0\271\145\0"
    "\0\150\265\0\263\171\0\0\0\171\262\0\0\377\377\377\377\377\377\0\0"
    "\0\0\377\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\377\0\0\0\0\0\17\325\325"
    "\17\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\27\211\312\0\0\163\272\26\26\272"
    "\157\0\0\377\0\0\25\207\307\0\0\270\215\31\7\71\257\0\0\0\0\377\0"
    "\0\0\0\0\377\0\0\0\0\377\0\0\234\153\0\0\154\233\0\325\42\20\365\20"
    "\42\337\0\0\55\332\3\6\334\46\0\41\354\35\0\36\354\40\0\0\0\0\0\0"
    "\226\236\0\0\0\0\377\0\0\0\0\0\100\300\0\0\0\0\0\0\0\0\377\0\0\0\0"
    "\4\271\150\151\270\3\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\11\371\0\0\313"
    "\67\0\0\70\311\0\0\377\0\0\0\10\370\0\0\372\12\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\0\377\0\0\0\0\377\0\0\131\256\0\0\257\131\0\270\67\131\377"
    "\131\66\311\0\0\0\234\135\150\215\0\0\0\176\255\0\256\175\0\0\0\0"
    "\0\0\103\341\17\0\0\0\0\377\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\377"
    "\0\0\0\0\224\165\0\0\165\224\0\0\0\0\0\0\0\0\0\0\0\377\0\0\27\211"
    "\312\0\0\362\14\0\0\15\361\0\0\377\0\0\20\174\275\0\0\307\226\44\0"
    "\0\0\0\0\0\0\377\0\0\0\0\0\377\0\0\0\0\377\0\0\27\356\2\2\356\27\0"
    "\233\113\247\314\250\112\263\0\0\0\31\313\313\17\0\0\0\7\333\216\333"
    "\7\0\0\0\0\0\15\340\105\0\0\0\0\0\377\0\0\0\0\0\0\100\300\0\0\0\0"
    "\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\362"
    "\266\44\0\0\375\1\0\0\2\375\0\0\377\375\373\377\307\20\0\0\30\231"
    "\345\356\235\26\0\0\0\0\377\0\0\0\0\0\377\0\0\0\0\377\0\0\0\324\64"
    "\65\323\0\0\176\144\357\102\361\144\235\0\0\0\0\315\266\0\0\0\0\0"
    "\110\377\110\0\0\0\0\0\0\233\230\0\0\0\0\0\0\377\0\0\0\0\0\0\0\300"
    "\100\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\362\14\0\0\15\364\0\0\377\0\0\47\330\133\0\0\0\0\0"
    "\30\215\300\0\0\0\0\377\0\0\0\0\0\377\0\0\0\0\377\0\0\0\221\166\167"
    "\221\0\0\141\267\325\0\342\270\210\0\0\0\105\325\344\62\0\0\0\0\0"
    "\377\0\0\0\0\0\0\107\336\14\0\0\0\0\0\0\377\0\0\0\0\0\0\0\100\300"
    "\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0"
    "\0\0\0\0\0\312\67\0\0\67\322\0\0\377\0\0\0\77\333\2\0\0\0\0\0\12\372"
    "\0\0\0\0\377\0\0\0\0\0\363\5\0\0\5\363\0\0\0\117\271\272\116\0\0\104"
    "\375\214\0\237\375\162\0\0\0\303\127\152\266\0\0\0\0\0\377\0\0\0\0"
    "\0\17\341\100\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\300\100\0\0\0\0\0"
    "\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\161"
    "\270\25\25\270\205\0\0\377\0\0\0\0\307\122\0\264\75\10\24\206\312"
    "\0\0\0\0\377\0\0\0\0\0\272\170\14\14\172\272\0\0\0\17\362\362\17\0"
    "\0\47\377\104\0\134\377\134\0\0\102\326\2\6\337\72\0\0\0\0\377\0\0"
    "\0\0\0\240\222\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\100\300\0\0\0\0"
    "\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0"
    "\3\223\360\377\322\14\0\0\377\0\0\0\0\122\306\0\117\307\371\361\263"
    "\43\0\0\0\0\377\0\0\0\0\0\33\262\364\364\262\33\0\0\0\0\311\311\0"
    "\0\0\12\364\7\0\32\377\106\0\0\301\133\0\0\142\276\0\0\0\0\377\0\0"
    "\0\0\0\377\377\377\377\377\377\0\0\0\0\377\0\0\0\0\0\0\0\0\0\300\100"
    "\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\125\365\54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0"
    "\100\300\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\202\123\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\377\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\176\252\1\0\0"
    "\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\146\363\377\0\0\0\0\0\0\0\0\0\0\0\377\0"
    "\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\0\0\0\0\0"
    "\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\172\216\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\346\60\0\0\0\0\0\0"
    "\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\376\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\377\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\40\272\370\276\40\0\0\0\377\206"
    "\366\310\32\0\0\0\5\216\353\357\161\0\0\0\32\307\366\206\377\0\0\0"
    "\16\256\367\313\36\0\0\0\377\377\377\377\377\0\0\0\30\306\366\202"
    "\377\0\0\0\377\146\354\352\115\0\0\0\377\377\377\0\0\0\0\0\0\377\377"
    "\377\0\0\0\0\377\0\0\170\314\15\0\0\0\0\377\0\0\0\0\0\377\351\212"
    "\304\203\0\0\0\377\146\354\352\115\0\0\0\33\304\371\304\33\0\0\0\0"
    "\0\0\0\0\0\0\0\334\103\7\156\275\0\0\0\377\212\11\211\244\0\0\0\205"
    "\266\33\16\210\0\0\0\245\211\11\214\377\0\0\0\225\230\11\171\252\0"
    "\0\0\0\0\377\0\0\0\0\0\240\215\11\210\377\0\0\0\377\206\12\142\326"
    "\0\0\0\0\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\142\327\24\0\0\0"
    "\0\0\377\0\0\0\0\0\377\147\377\147\337\0\0\0\377\206\12\142\326\0"
    "\0\0\247\212\11\215\246\0\0\0\0\0\0\0\0\0\0\0\0\0\0\10\366\0\0\0\377"
    "\30\0\30\352\0\0\0\343\44\0\0\0\0\0\0\353\30\0\31\377\0\0\0\347\32"
    "\0\17\355\0\0\0\0\0\377\0\0\0\0\0\351\30\0\30\377\0\0\0\377\21\0\6"
    "\374\0\0\0\0\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\115\337\36\0\0"
    "\0\0\0\0\377\0\0\0\0\0\377\12\377\12\372\0\0\0\377\21\0\6\374\0\0"
    "\0\353\30\0\31\353\0\0\0\0\0\0\0\0\0\0\0\112\326\374\377\377\0\0\0"
    "\377\2\0\3\374\0\0\0\374\3\0\0\0\0\0\0\375\2\0\3\377\0\0\0\374\374"
    "\375\377\376\0\0\0\0\0\377\0\0\0\0\0\375\2\0\3\377\0\0\0\377\0\0\0"
    "\377\0\0\0\0\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\356\212\0\0\0\0"
    "\0\0\0\377\0\0\0\0\0\377\0\377\0\377\0\0\0\377\0\0\0\377\0\0\0\375"
    "\2\0\3\374\0\0\0\0\0\0\0\0\0\0\0\350\121\6\15\377\0\0\0\377\27\0\27"
    "\351\0\0\0\344\43\0\0\0\0\0\0\352\27\0\31\377\0\0\0\344\11\0\0\0\0"
    "\0\0\0\0\377\0\0\0\0\0\351\31\0\30\377\0\0\0\377\0\0\0\377\0\0\0\0"
    "\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\41\312\70\0\0\0\0\0\0\376\3"
    "\0\0\0\0\377\0\377\0\377\0\0\0\377\0\0\0\377\0\0\0\354\27\0\31\353"
    "\0\0\0\0\0\0\0\0\0\0\0\360\74\15\212\377\0\0\0\377\210\10\207\241"
    "\0\0\0\207\264\31\15\204\0\0\0\244\207\10\212\377\0\0\0\222\216\15"
    "\36\241\0\0\0\0\0\377\0\0\0\0\0\240\216\11\206\377\0\0\0\377\0\0\0"
    "\377\0\0\0\0\0\377\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\42\315\16\0\0"
    "\0\0\0\336\77\0\0\0\0\377\0\377\0\377\0\0\0\377\0\0\0\377\0\0\0\250"
    "\210\10\213\250\0\0\0\0\0\0\0\0\0\0\0\143\355\356\155\377\0\0\0\377"
    "\210\367\307\31\0\0\0\6\221\354\360\164\0\0\0\33\310\367\206\377\0"
    "\0\0\14\243\364\342\140\0\0\0\0\0\377\0\0\0\0\0\30\307\366\177\376"
    "\0\0\0\377\0\0\0\377\0\0\0\377\377\377\377\377\0\0\0\0\0\0\377\0\0"
    "\0\0\377\0\0\117\242\0\0\0\0\0\130\362\377\0\0\0\377\0\377\0\377\0"
    "\0\0\377\0\0\0\377\0\0\0\35\306\372\305\34\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\21\354\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\5\375\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\213\14\166\254\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\125\327\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\167\363\317\42\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\352\112\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\160\350\376\0\0\0\0\0\377\0\0\0\0\0\375\350"
    "\160\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\357\65\1\0\0\0\0\0\377\0\0\0\0\0\1"
    "\71\356\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\377\377\0\0\377"
    "\206\366\307\31\0\0\0\33\310\366\204\377\0\0\0\0\377\164\342\365\164"
    "\0\0\107\322\372\340\141\0\0\0\377\377\377\377\377\0\0\0\377\0\0\0"
    "\377\0\0\0\335\53\0\53\334\0\0\331\53\0\0\0\6\351\27\0\263\147\0\147"
    "\263\0\0\0\337\51\0\30\354\6\0\0\377\377\377\377\377\0\0\0\0\1\376"
    "\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\376\1\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\377\0\0\377\212\11\211\241\0\0\0\244\211\11\214\377\0\0\0"
    "\0\377\262\37\21\275\0\0\352\114\6\42\240\0\0\0\0\0\377\0\0\0\0\0"
    "\377\0\0\0\377\0\0\0\227\161\0\162\226\0\0\214\172\0\0\0\120\276\0"
    "\0\42\327\12\330\42\0\0\0\236\153\0\153\237\0\0\0\0\0\0\147\236\0"
    "\0\0\2\116\342\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\342\115\2\0\0\0\0\0"
    "\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\30\0\30\351\0\0\0\352\30\0\31"
    "\377\0\0\0\0\377\33\0\0\0\0\0\342\166\53\6\0\0\0\0\0\0\377\0\0\0\0"
    "\0\377\0\0\0\377\0\0\0\121\270\0\271\120\0\0\77\311\23\374\20\255"
    "\150\0\0\0\201\276\200\0\0\0\0\134\256\0\300\111\0\0\0\0\0\74\301"
    "\7\0\0\0\377\377\143\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\142\376\377\0"
    "\0\0\203\364\321\116\14\206\0\0\377\0\0\0\0\377\0\0\377\2\0\3\374"
    "\0\0\0\375\2\0\3\377\0\0\0\0\377\0\0\0\0\0\0\65\255\343\364\147\0"
    "\0\0\0\0\377\0\0\0\0\0\377\0\0\0\377\0\0\0\16\362\21\362\16\0\0\4"
    "\355\150\373\135\365\25\0\0\0\47\377\46\0\0\0\0\32\356\32\353\5\0"
    "\0\0\0\34\316\31\0\0\0\0\3\146\343\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0"
    "\343\145\3\0\0\0\205\13\74\277\364\203\0\0\377\0\0\0\0\377\0\0\377"
    "\27\0\27\352\0\0\0\353\27\0\31\377\0\0\0\0\377\0\0\0\0\0\0\0\0\0\106"
    "\356\0\0\0\0\0\377\1\0\0\0\0\374\7\0\25\377\0\0\0\0\304\215\303\0"
    "\0\0\0\245\347\260\344\273\0\0\0\0\242\243\241\0\0\0\0\0\331\237\236"
    "\0\0\0\0\10\303\66\0\0\0\0\0\0\10\377\0\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\377\7\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\210\10"
    "\207\244\0\0\0\247\207\10\212\377\0\0\0\0\377\0\0\0\0\0\0\253\55\6"
    "\124\346\0\0\0\0\0\355\65\0\0\0\0\327\142\11\207\377\0\0\0\0\176\370"
    "\175\0\0\0\0\130\377\112\377\145\0\0\0\60\325\4\326\57\0\0\0\0\227"
    "\376\115\0\0\0\0\241\140\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\377\0\0"
    "\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\211"
    "\367\310\33\0\0\0\34\311\366\203\377\0\0\0\0\377\0\0\0\0\0\0\126\327"
    "\373\322\103\0\0\0\0\0\171\365\377\0\0\0\116\352\354\146\377\0\0\0"
    "\0\67\377\67\0\0\0\0\20\353\2\354\23\0\0\0\272\140\0\141\271\0\0\0"
    "\0\125\366\11\0\0\0\0\377\377\377\377\377\0\0\0\0\0\357\65\1\0\0\0"
    "\0\0\377\0\0\0\0\0\1\67\356\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0"
    "\377\0\0\377\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\133\261\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\163"
    "\351\376\0\0\0\0\0\377\0\0\0\0\0\376\351\162\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\377\0\0\0\0\377\0\0\377\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\7\300\137\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\377\0\0\0\0\377\0\0\377\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\277\6\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\77\325\0\0\0\0"
    "\0\326\77\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\377\377\0\0\0\0\377\377\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\0\0\0\0\117\350\350\115\0\0\0\0\0\0\167\362\225\0\0\0\0\0\0\377\377"
    "\0\0\0\0\0\6\333\215\0\0\0\0\0\215\332\5\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\100\300\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\377\377\0\0"
    "\377\377\0\0\0\142\342\4\361\121\0\62\272\362\377\377\377\0\0\351"
    "\72\73\350\0\0\0\0\0\0\362\377\104\0\0\0\0\0\0\377\377\0\0\0\0\0\140"
    "\377\121\0\0\0\0\0\122\377\135\0\0\0\0\257\66\377\67\257\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\377\377\0\0\377"
    "\377\0\0\0\246\236\72\373\17\0\342\377\63\377\36\232\0\0\352\70\72"
    "\350\0\0\0\0\0\0\265\377\37\0\0\0\0\0\0\377\377\0\0\0\0\0\270\377"
    "\46\0\0\0\0\0\47\377\265\0\0\0\0\75\331\377\331\75\0\0\0\0\0\377\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\100"
    "\300\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\130\377"
    "\377\377\377\377\377\0\343\377\141\377\0\0\0\0\122\351\351\120\75"
    "\223\141\0\0\0\145\377\144\0\0\0\0\0\0\0\0\0\0\0\0\0\354\377\13\0"
    "\0\0\0\0\14\377\353\0\0\0\0\75\330\377\330\75\0\0\0\0\0\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\300\100"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\355\355\0\0\0\0\0\0\0\0\0\0\0\0\63\377"
    "\21\307\175\0\0\60\270\370\377\351\227\21\0\0\24\162\234\140\12\0"
    "\0\0\152\374\322\271\11\375\0\0\0\0\0\0\0\0\0\0\0\375\377\2\0\0\0"
    "\0\0\3\377\374\0\0\0\0\257\65\377\65\257\0\0\0\0\0\377\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\100\300"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\314\317\0\0\0\0\0\0\0\0\0\0\0\0\151\333"
    "\5\367\107\0\0\0\0\4\377\207\377\267\0\136\207\51\117\351\350\115"
    "\0\0\347\366\157\373\76\360\0\0\0\0\0\0\0\0\0\0\0\354\377\13\0\0\0"
    "\0\0\14\377\353\0\0\0\0\0\0\377\0\0\0\0\377\377\377\377\377\377\377"
    "\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\300"
    "\100\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377"
    "\377\377\377\377\130\0\171\0\0\377\11\377\371\0\0\0\0\351\72\74\350"
    "\0\0\370\377\54\376\364\307\0\0\0\0\0\0\0\0\0\0\0\271\377\47\0\0\0"
    "\0\0\50\377\266\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\100\300\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\3\357\116\206\275\0\0"
    "\0\377\226\27\377\121\377\303\0\0\0\0\352\70\72\350\0\0\275\377\143"
    "\322\377\177\0\0\0\0\0\0\0\0\0\0\0\140\377\122\0\0\0\0\0\122\377\135"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\71\373\16\312\167\0\0\0\101\256"
    "\356\377\360\250\31\0\0\0\0\122\352\351\117\0\0\46\320\370\307\343"
    "\302\0\0\0\0\0\0\0\0\0\0\0\5\332\215\0\0\0\0\0\216\331\4\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\6\377\362\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\377\377\0\0\0\0\100\300\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\77\325\0\0\0\0\0\326"
    "\76\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\134\374\112\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\300\100\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\311\155\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\3\221\360\360\221\2\0\0\377\377\377\377\0\0\0"
    "\0\114\302\370\353\241\24\0\0\115\303\371\355\252\35\0\0\0\0\35\364"
    "\377\0\0\0\377\377\377\377\377\0\0\0\0\167\343\363\167\0\0\0\377\377"
    "\377\377\377\377\0\0\42\266\365\365\265\40\0\0\27\264\367\355\223"
    "\4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\131\326\373\331\117\0\0\157\377\153\155\377"
    "\157\0\0\0\0\377\377\0\0\0\0\262\71\11\144\377\270\0\0\270\106\12"
    "\130\377\307\0\0\0\0\257\377\377\0\0\0\377\377\0\0\0\0\0\0\140\377"
    "\225\13\174\0\0\0\0\0\0\67\377\346\0\0\311\377\113\113\377\310\0\0"
    "\255\377\124\127\377\170\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\233\31\51\377\356\0\0"
    "\311\377\34\37\377\311\0\0\0\0\377\377\0\0\0\0\0\0\0\11\377\363\0"
    "\0\0\0\0\10\377\370\0\0\0\113\357\377\377\0\0\0\377\377\0\0\0\0\0"
    "\0\303\377\35\0\0\0\0\0\0\0\0\226\377\212\0\0\371\377\6\7\377\370"
    "\0\0\363\377\11\12\377\315\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\17\152\316\0\0\0\0\0\0\0\0\0\0\315\151\17\0\0\0\0\0\0\0\0\101\377"
    "\310\0\0\362\377\5\7\377\361\0\0\0\0\377\377\0\0\0\0\0\0\0\122\377"
    "\233\0\0\0\0\0\123\377\244\0\0\11\336\155\377\377\0\0\0\377\377\366"
    "\361\236\14\0\0\360\377\302\372\324\56\0\0\0\0\7\356\377\54\0\0\237"
    "\377\113\113\377\234\0\0\371\377\11\12\377\362\0\0\0\0\377\377\0\0"
    "\0\0\0\0\377\377\0\0\0\0\0\76\242\366\353\226\0\0\0\0\0\0\0\0\0\0"
    "\226\354\366\241\75\0\0\0\0\0\66\361\274\23\0\0\375\377\0\305\377"
    "\375\0\0\0\0\377\377\0\0\0\0\0\0\33\347\344\24\0\0\0\0\377\377\254"
    "\6\0\0\204\322\3\377\377\0\0\0\0\0\20\237\377\237\0\0\375\377\124"
    "\127\377\303\0\0\0\0\124\377\315\0\0\0\3\244\377\377\245\3\0\0\305"
    "\377\124\127\377\374\0\0\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\331"
    "\365\247\114\5\0\0\0\377\377\377\377\377\377\0\0\0\5\114\250\366\331"
    "\0\0\0\0\332\377\23\0\0\0\362\377\5\7\377\361\0\0\0\0\377\377\0\0"
    "\0\0\0\12\314\360\57\0\0\0\0\0\1\133\377\254\0\0\370\100\0\377\377"
    "\0\0\0\0\0\0\22\377\362\0\0\363\377\11\12\377\370\0\0\0\0\263\377"
    "\156\0\0\0\246\377\115\117\377\244\0\0\60\325\373\306\377\357\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\334\361\240\107\3\0\0\0\0\0\0\0\0"
    "\0\0\0\0\4\107\240\361\334\0\0\0\0\377\377\0\0\0\0\311\377\34\37\377"
    "\311\0\0\0\0\377\377\0\0\0\0\2\257\365\73\0\0\0\0\0\0\0\11\377\371"
    "\0\0\377\377\377\377\377\377\0\0\0\0\0\23\377\357\0\0\316\377\11\12"
    "\377\362\0\0\0\26\373\372\25\0\0\0\372\377\6\7\377\371\0\0\0\0\0\37"
    "\377\302\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\101\245\367\351\224"
    "\0\0\377\377\377\377\377\377\0\0\224\352\367\244\101\1\0\0\0\0\0\0"
    "\0\0\0\0\157\377\151\154\377\157\0\0\0\0\377\377\0\0\0\0\215\371\106"
    "\0\0\0\0\0\244\51\7\146\377\315\0\0\0\0\0\377\377\0\0\0\230\32\15"
    "\225\377\225\0\0\170\377\124\127\377\253\0\0\0\161\377\261\0\0\0\0"
    "\315\377\114\120\377\314\0\0\0\170\12\226\377\135\0\0\0\0\377\377"
    "\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\20\153\316\0\0\0\0\0\0\0\0\0\0"
    "\316\153\20\0\0\0\0\0\0\0\377\377\0\0\0\0\3\221\360\360\221\3\0\0"
    "\377\377\377\377\377\377\0\0\377\377\377\377\377\377\4\0\124\315\372"
    "\360\263\44\0\0\0\0\0\377\377\0\0\0\125\321\373\343\207\6\0\0\5\224"
    "\355\367\262\26\0\0\0\320\377\123\0\0\0\0\47\275\366\366\275\47\0"
    "\0\0\167\364\343\165\0\0\0\0\0\377\377\0\0\0\0\0\6\377\362\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\134\374\112\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\311\155\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\15\374\374\14\0\0"
    "\0\377\377\377\366\301\56\0\0\0\101\302\365\352\156\0\0\377\377\370"
    "\323\143\0\0\0\377\377\377\377\377\377\0\0\377\377\377\377\377\377"
    "\0\0\0\106\310\367\342\145\0\0\377\377\0\0\377\377\0\0\377\377\377"
    "\377\377\377\0\0\0\0\377\377\377\377\0\0\377\377\0\0\251\376\115\0"
    "\377\377\0\0\0\0\0\0\377\176\0\0\177\377\0\0\377\377\141\0\377\377"
    "\0\0\2\216\357\357\214\1\0\0\34\245\356\370\300\52\0\0\0\105\377\377"
    "\104\0\0\0\377\377\0\103\377\323\0\0\72\373\317\41\23\223\0\0\377"
    "\377\7\235\377\131\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\0\0\74"
    "\374\307\34\21\211\0\0\377\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0"
    "\0\0\0\0\377\377\0\0\377\377\0\155\377\202\0\0\377\377\0\0\0\0\0\0"
    "\377\360\22\22\361\377\0\0\377\377\254\0\377\377\0\0\155\377\152\154"
    "\377\151\0\21\340\211\27\13\155\321\0\0\0\200\366\361\177\0\0\0\377"
    "\377\0\5\377\372\0\0\263\377\107\0\0\0\0\0\377\377\0\53\377\302\0"
    "\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\0\0\264\377\101\0\0\0\0\0\377"
    "\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0\0\0\0\377\377\0\0\377\377"
    "\67\371\267\2\0\0\377\377\0\0\0\0\0\0\377\377\210\211\377\377\0\0"
    "\377\377\357\5\377\377\0\0\310\377\34\36\377\306\0\210\237\34\301"
    "\372\311\376\0\0\0\273\311\305\272\0\0\0\377\377\0\76\377\270\0\0"
    "\354\377\17\0\0\0\0\0\377\377\0\12\377\360\0\0\377\377\0\0\0\0\0\0"
    "\377\377\0\0\0\0\0\0\354\377\16\0\0\0\0\0\377\377\0\0\377\377\0\0"
    "\0\0\377\377\0\0\0\0\0\0\0\0\377\377\0\0\377\377\341\374\27\0\0\0"
    "\377\377\0\0\0\0\0\0\377\377\365\365\377\377\0\0\377\377\311\103\377"
    "\377\0\0\361\377\5\7\377\360\0\327\62\262\200\10\203\377\0\0\3\363"
    "\232\230\362\3\0\0\377\377\377\377\307\23\0\0\374\377\2\0\0\0\0\0"
    "\377\377\0\2\377\374\0\0\377\377\377\377\377\0\0\0\377\377\377\377"
    "\377\0\0\0\374\377\1\0\0\0\0\0\377\377\377\377\377\377\0\0\0\0\377"
    "\377\0\0\0\0\0\0\0\0\377\377\0\0\377\377\376\377\147\0\0\0\377\377"
    "\0\0\0\0\0\0\377\377\343\343\377\377\0\0\377\377\201\216\377\377\0"
    "\0\375\377\0\1\377\374\0\370\7\364\20\0\20\377\0\0\61\377\153\153"
    "\377\60\0\0\377\377\0\103\377\264\0\0\354\377\17\0\0\0\0\0\377\377"
    "\0\12\377\357\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\0\0\355\377"
    "\12\377\377\377\0\0\377\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0"
    "\0\0\0\377\377\0\0\377\377\126\346\344\10\0\0\377\377\0\0\0\0\0\0"
    "\377\377\0\0\377\377\0\0\377\377\71\332\377\377\0\0\361\377\5\7\377"
    "\360\0\367\11\364\20\0\20\377\0\0\154\377\377\377\377\153\0\0\377"
    "\377\0\5\377\371\0\0\263\377\106\0\0\0\0\0\377\377\0\54\377\302\0"
    "\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\0\0\267\377\60\0\377\377\0"
    "\0\377\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0\0\0\3\377\375\0\0"
    "\377\377\0\155\377\164\0\0\377\377\0\0\0\0\0\0\377\377\0\0\377\377"
    "\0\0\377\377\3\355\377\377\0\0\310\377\34\36\377\306\0\320\72\261"
    "\200\7\202\377\0\0\247\370\4\4\370\246\0\0\377\377\0\74\377\336\0"
    "\0\72\373\315\40\22\221\0\0\377\377\7\234\377\133\0\0\377\377\0\0"
    "\0\0\0\0\377\377\0\0\0\0\0\0\104\376\235\14\377\377\0\0\377\377\0"
    "\0\377\377\0\0\0\0\377\377\0\0\0\0\246\53\6\132\377\326\0\0\377\377"
    "\0\7\343\354\15\0\377\377\0\0\0\0\0\0\377\377\0\0\377\377\0\0\377"
    "\377\0\251\377\377\0\0\155\377\151\154\377\151\0\170\260\34\302\373"
    "\315\377\0\0\342\317\0\0\317\342\0\0\377\377\377\371\315\77\0\0\0"
    "\102\303\366\352\155\0\0\377\377\371\324\146\0\0\0\377\377\377\377"
    "\377\377\0\0\377\377\0\0\0\0\0\0\0\125\325\373\353\247\0\0\377\377"
    "\0\0\377\377\0\0\377\377\377\377\377\377\0\0\116\304\371\364\303\65"
    "\0\0\377\377\0\0\151\377\200\0\377\377\377\377\377\377\0\0\377\377"
    "\0\0\377\377\0\0\377\377\0\140\377\377\0\0\2\217\360\360\215\1\0\10"
    "\310\246\50\6\102\211\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\13\205\335\373\354\227\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\154\0\0\0\0\0\0\0\0\0\0\0"
    "\124\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\376"
    "\360\272\55\0\0\2\216\357\357\211\1\0\0\377\377\377\363\277\60\0\0"
    "\27\246\356\370\306\120\0\0\377\377\377\377\377\377\0\0\377\377\0"
    "\0\377\377\0\0\345\323\0\0\323\344\0\361\217\0\0\0\220\362\0\0\300"
    "\362\16\17\362\300\0\272\373\46\0\0\46\373\271\0\377\377\377\377\377"
    "\377\0\0\0\377\377\0\0\0\0\0\304\217\0\0\0\0\0\0\0\0\377\377\0\0\0"
    "\0\4\264\377\263\4\0\0\0\0\0\0\0\0\0\0\0\377\377\2\116\377\321\0\0"
    "\155\377\152\154\377\144\0\0\377\377\1\112\377\323\0\0\275\377\130"
    "\11\64\255\0\0\0\0\377\377\0\0\0\0\377\377\0\0\377\377\0\0\257\372"
    "\6\6\373\256\0\324\246\0\0\0\241\326\0\0\100\377\163\164\377\100\0"
    "\57\375\256\0\0\257\375\56\0\0\0\0\32\357\360\0\0\0\377\377\0\0\0"
    "\0\0\115\364\22\0\0\0\0\0\0\0\377\377\0\0\0\1\241\370\224\370\240"
    "\1\0\0\0\0\0\0\0\0\0\0\377\377\0\5\377\372\0\0\310\377\34\36\377\303"
    "\0\0\377\377\0\6\377\372\0\0\372\357\0\0\0\0\0\0\0\0\377\377\0\0\0"
    "\0\377\377\0\0\377\377\0\0\171\377\57\60\377\170\0\266\275\106\377"
    "\110\261\272\0\0\0\300\342\342\301\0\0\0\240\377\73\74\377\237\0\0"
    "\0\0\0\265\377\134\0\0\0\377\377\0\0\0\0\0\1\324\176\0\0\0\0\0\0\0"
    "\377\377\0\0\0\213\347\70\0\71\347\213\0\0\0\0\0\0\0\0\0\0\377\377"
    "\2\117\377\322\0\0\361\377\5\7\377\356\0\0\377\377\1\115\377\275\0"
    "\0\323\377\254\61\0\0\0\0\0\0\377\377\0\0\0\0\377\377\0\0\377\377"
    "\0\0\103\377\135\136\377\102\0\230\324\163\377\170\302\237\0\0\0\100"
    "\377\377\102\0\0\0\34\366\307\310\366\34\0\0\0\0\140\377\252\0\0\0"
    "\0\377\377\0\0\0\0\0\0\136\353\12\0\0\0\0\0\0\377\377\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\361\275\57\0\0\375\377\0"
    "\1\377\374\0\0\377\377\377\377\260\13\0\0\52\306\377\377\256\23\0"
    "\0\0\0\377\377\0\0\0\0\377\377\0\0\377\377\0\0\16\375\214\215\375"
    "\15\0\172\353\237\322\250\322\203\0\0\0\0\347\352\1\0\0\0\0\206\377"
    "\377\205\0\0\0\0\33\357\346\22\0\0\0\0\377\377\0\0\0\0\0\0\4\341\156"
    "\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377"
    "\0\0\0\0\0\0\361\377\5\7\377\362\0\0\377\377\11\271\373\57\0\0\0\0"
    "\67\304\377\270\0\0\0\0\377\377\0\0\0\0\377\377\0\0\377\377\0\0\0"
    "\326\272\273\325\0\0\135\376\317\162\331\343\150\0\0\0\115\377\377"
    "\117\0\0\0\0\16\377\377\16\0\0\0\0\266\377\110\0\0\0\0\0\377\377\0"
    "\0\0\0\0\0\0\156\340\4\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\310\377\34\36\377\311\0\0\377\377"
    "\0\50\375\263\0\0\0\0\0\23\377\370\0\0\0\0\377\377\0\0\0\0\367\377"
    "\3\3\377\366\0\0\0\240\350\351\237\0\0\77\377\374\26\371\370\114\0"
    "\0\0\311\334\335\312\0\0\0\0\0\377\377\0\0\0\0\142\377\226\0\0\0\0"
    "\0\0\377\377\0\0\0\0\0\0\0\12\354\135\0\0\0\0\0\377\377\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\155\377\151\154"
    "\377\155\0\0\377\377\0\0\250\377\70\0\260\67\6\117\377\305\0\0\0\0"
    "\377\377\0\0\0\0\300\377\113\113\377\276\0\0\0\152\377\377\151\0\0"
    "\41\377\335\0\323\377\61\0\0\106\377\161\162\377\106\0\0\0\0\377\377"
    "\0\0\0\0\360\332\12\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\177\323\1"
    "\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0"
    "\0\0\0\0\0\2\221\361\377\300\3\0\0\377\377\0\0\52\375\275\0\122\311"
    "\371\361\263\42\0\0\0\0\377\377\0\0\0\0\47\300\367\367\277\45\0\0"
    "\0\63\377\377\63\0\0\5\375\257\0\241\377\25\0\0\302\363\17\17\363"
    "\302\0\0\0\0\377\377\0\0\0\0\377\377\377\377\377\377\0\0\0\377\377"
    "\0\0\0\0\0\0\0\0\23\364\114\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\114\330\60\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\377\377\377\154\0\0\0\0\0\0\0\220\304\0\0\124\377\377\377\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\377\377\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\203\325\12\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0"
    "\142\344\375\377\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\377\377"
    "\0\0\0\0\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0\377\377\377\377\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\211\240\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\353\377\34\0\0\0\0\0\0\0\0\0\0"
    "\0\377\377\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\377"
    "\377\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\377\377"
    "\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\377\377\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\152\350\366\277"
    "\43\0\0\377\377\244\370\313\36\0\0\0\153\327\371\334\137\0\0\40\314"
    "\370\244\377\377\0\0\6\225\357\362\241\13\0\0\377\377\377\377\377"
    "\377\0\0\27\304\371\262\377\377\0\0\377\377\240\365\353\136\0\0\377"
    "\377\377\377\0\0\0\0\377\377\377\377\0\0\0\0\377\377\0\174\377\155"
    "\0\0\0\377\377\0\0\0\0\0\377\304\367\260\365\225\0\0\377\377\241\365"
    "\352\133\0\0\6\226\360\360\226\6\0\0\0\0\0\0\0\0\0\0\0\232\30\46\377"
    "\265\0\0\377\377\146\146\377\250\0\0\161\377\257\24\26\222\0\0\253"
    "\377\145\150\377\377\0\0\207\377\140\124\377\223\0\0\0\0\377\377\0"
    "\0\0\0\236\377\150\153\377\377\0\0\377\377\132\72\377\351\0\0\0\0"
    "\377\377\0\0\0\0\0\0\377\377\0\0\0\0\377\377\115\376\211\0\0\0\0\377"
    "\377\0\0\0\0\0\377\377\15\377\15\353\0\0\377\377\132\72\377\350\0"
    "\0\207\377\145\146\377\207\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\356\0\0"
    "\377\377\22\22\377\353\0\0\337\377\42\0\0\0\0\0\354\377\22\23\377"
    "\377\0\0\343\377\17\11\377\347\0\0\0\0\377\377\0\0\0\0\350\377\25"
    "\27\377\377\0\0\377\377\7\2\377\377\0\0\0\0\377\377\0\0\0\0\0\0\377"
    "\377\0\0\0\0\377\377\361\277\1\0\0\0\0\377\377\0\0\0\0\0\377\377\0"
    "\377\0\375\0\0\377\377\7\2\377\377\0\0\343\377\22\22\377\343\0\0\0"
    "\0\0\0\0\0\0\0\113\321\370\377\377\376\0\0\377\377\1\2\377\374\0\0"
    "\373\377\3\0\0\0\0\0\375\377\1\2\377\377\0\0\374\377\377\377\377\376"
    "\0\0\0\0\377\377\0\0\0\0\374\377\4\4\377\377\0\0\377\377\0\0\377\377"
    "\0\0\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\377\377\364\362\27\0"
    "\0\0\0\377\377\0\0\0\0\0\377\377\0\377\0\377\0\0\377\377\0\0\377\377"
    "\0\0\374\377\1\2\377\373\0\0\0\0\0\0\0\0\0\0\353\377\75\14\377\377"
    "\0\0\377\377\22\22\377\353\0\0\337\377\41\0\0\0\0\0\355\377\22\23"
    "\377\377\0\0\345\377\15\0\0\0\0\0\0\0\377\377\0\0\0\0\354\377\25\27"
    "\377\377\0\0\377\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0\0\377\377"
    "\0\0\0\0\377\377\53\373\231\0\0\0\0\374\377\2\0\0\0\0\377\377\0\377"
    "\0\377\0\0\377\377\0\0\377\377\0\0\344\377\22\22\377\343\0\0\0\0\0"
    "\0\0\0\0\0\355\377\50\144\377\377\0\0\377\377\144\144\377\252\0\0"
    "\163\377\255\23\25\220\0\0\255\377\143\147\377\377\0\0\210\377\204"
    "\10\42\242\0\0\0\0\377\377\0\0\0\0\245\377\146\151\377\377\0\0\377"
    "\377\0\0\377\377\0\0\0\0\377\377\0\0\0\0\0\0\377\377\0\0\0\0\377\377"
    "\0\237\374\53\0\0\0\327\377\72\0\0\0\0\377\377\0\377\0\377\0\0\377"
    "\377\0\0\377\377\0\0\211\377\143\144\377\211\0\0\0\0\0\0\0\0\0\0\132"
    "\346\367\244\377\377\0\0\377\377\246\370\317\41\0\0\1\156\331\372"
    "\337\143\0\0\43\320\370\245\377\377\0\0\6\212\346\372\321\127\0\0"
    "\0\0\377\377\0\0\0\0\32\310\371\263\377\377\0\0\377\377\0\0\377\377"
    "\0\0\377\377\377\377\377\377\0\0\0\0\377\377\0\0\0\0\377\377\0\45"
    "\374\270\0\0\0\107\335\376\377\0\0\0\377\377\0\377\0\377\0\0\377\377"
    "\0\0\377\377\0\0\7\230\361\361\230\7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\13\377\361\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\4\377\373\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\207\15\145\377\265\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\121\377\322\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\147\346\367\276\42\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\375\326\77\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\153\340\373\377\0\0\0\0\377\0\0\0\0\0\377"
    "\373\340\150\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\360\377\63\0\0\0\0\0\377\0"
    "\0\0\0\0\0\66\377\357\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377"
    "\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0"
    "\0\377\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\377\377\377\377"
    "\377\377\0\0\377\377\244\367\316\37\0\0\41\317\367\243\377\377\0\0"
    "\0\377\377\246\367\377\0\0\64\274\362\371\307\121\0\377\377\377\377"
    "\377\377\0\0\0\377\377\0\0\377\377\0\0\334\331\0\0\332\333\0\353\267"
    "\0\0\0\267\352\0\0\267\377\76\100\377\267\0\0\332\353\0\1\352\327"
    "\0\0\377\377\377\377\377\377\0\0\0\3\377\377\0\0\0\0\0\0\377\0\0\0"
    "\0\0\0\0\377\377\2\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\377"
    "\146\146\377\251\0\0\254\377\145\150\377\377\0\0\0\377\377\222\13"
    "\147\0\0\343\377\72\6\57\250\0\0\0\377\377\0\0\0\0\0\377\377\0\0\377"
    "\377\0\0\223\377\25\26\377\222\0\301\315\0\0\0\316\300\0\0\52\373"
    "\262\271\374\52\0\0\216\377\42\54\377\207\0\0\0\0\0\42\341\343\0\0"
    "\2\124\377\336\0\0\0\0\0\0\377\0\0\0\0\0\0\0\336\377\125\2\0\0\0\0"
    "\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\377\22\22\377\353\0\0\354\377"
    "\22\23\377\377\0\0\0\377\377\24\0\0\0\0\353\377\231\71\3\0\0\0\0\377"
    "\377\0\0\0\0\0\377\377\0\0\377\377\0\0\113\377\120\121\377\112\0\227"
    "\344\120\377\120\345\226\0\0\0\224\376\377\225\0\0\0\102\377\131\153"
    "\377\66\0\0\0\0\42\342\340\42\0\0\377\377\352\103\0\0\0\0\0\0\377"
    "\0\0\0\0\0\0\0\102\351\377\377\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377"
    "\0\0\377\377\1\2\377\374\0\0\375\377\1\2\377\377\0\0\0\377\377\1\0"
    "\0\0\0\107\323\377\377\351\120\0\0\0\377\377\0\0\0\0\0\377\377\0\0"
    "\377\377\0\0\12\370\214\215\367\11\0\154\372\210\361\211\373\153\0"
    "\0\0\75\377\377\100\0\0\0\5\360\220\253\344\1\0\0\0\43\342\336\37"
    "\0\0\0\4\151\377\334\0\0\0\0\0\0\377\0\0\0\0\0\0\0\335\377\151\4\0"
    "\0\202\364\321\116\14\207\0\0\377\0\0\0\0\377\0\0\377\377\22\22\377"
    "\353\0\0\354\377\22\23\377\377\0\0\0\377\377\0\0\0\0\0\0\0\25\163"
    "\377\353\0\0\0\377\377\0\0\0\0\0\377\377\2\6\377\377\0\0\0\272\307"
    "\310\271\0\0\102\377\320\217\323\377\101\0\0\0\263\366\371\264\0\0"
    "\0\0\252\310\352\225\0\0\0\43\343\334\35\0\0\0\0\0\11\377\377\0\0"
    "\0\0\0\0\377\0\0\0\0\0\0\0\377\377\11\0\0\0\201\12\71\277\364\203"
    "\0\0\377\0\0\0\0\377\0\0\377\377\144\144\377\250\0\0\253\377\143\147"
    "\377\377\0\0\0\377\377\0\0\0\0\0\255\64\6\66\377\346\0\0\0\356\377"
    "\44\0\0\0\0\351\377\72\130\377\377\0\0\0\161\372\372\160\0\0\30\377"
    "\376\41\376\377\27\0\0\70\377\237\245\377\71\0\0\0\136\376\377\105"
    "\0\0\0\343\332\33\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\377\0\0\0\0\0"
    "\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\377\244"
    "\370\314\36\0\0\40\314\370\244\377\377\0\0\0\377\377\0\0\0\0\0\112"
    "\275\366\367\313\102\0\0\0\151\344\375\377\0\0\0\136\353\366\244\377"
    "\377\0\0\0\50\377\377\50\0\0\0\355\327\0\330\355\0\0\0\275\377\67"
    "\72\377\275\0\0\0\24\375\357\5\0\0\0\377\377\377\377\377\377\0\0\0"
    "\0\361\377\61\0\0\0\0\0\377\0\0\0\0\0\0\64\377\360\0\0\0\0\0\0\0\0"
    "\0\0\0\0\377\0\0\0\0\377\0\0\377\377\0\0\0\0\0\0\0\0\0\0\377\377\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\14\365\244\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\155\342\374\377\0\0\0\0\377\0\0\0\0\0\377"
    "\374\342\153\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0\0\377\377\0"
    "\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\2\177\377\113\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\0\0\0\0\377\0"
    "\0\377\377\0\0\0\0\0\0\0\0\0\0\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\377\371\227\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\377\377"
    "\377\377\377\377\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"
    "\0"
};
#endif
